This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182347 - Problem calling usermod in %post
Problem calling usermod in %post
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 17:36 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 12:56:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-02-21 17:36:45 EST
You're calling usermod with the -a parameter.

When installing nagios on FC4, the following error presents itself:

Preparing...                ########################################### [100%]
   1:nagios                 ########################################### [100%]
/usr/sbin/usermod: invalid option -- a
usage: usermod  [-u uid [-o]] [-g group] [-G group,...]
                [-d home [-m]] [-s shell] [-c comment] [-l new_name]
                [-f inactive] [-e expire ] [-p passwd] [-L|-U] name
Comment 1 Mike McGrath 2006-02-22 02:31:19 EST
What version of Shadow Utils are you running?
Comment 2 Andreas Thienemann 2006-02-22 06:12:49 EST
shadow-utils-4.0.12-6.FC4, which should be current on FC4
Comment 3 Mike McGrath 2006-02-22 06:17:34 EST
Hmm, thats what I've got too, what happens when you run the following command
(After installing Nagios)

usermod -a -G nagios apache
Comment 4 Mike McGrath 2006-03-11 11:17:18 EST
Have you happend to had a chance to run this command?  Just following up :-D
Comment 5 Andreas Thienemann 2006-03-11 18:55:40 EST
ohh. I could have sworn, I already posted the results. :-D

If the nagios group already exists, the group file is changed accordingly.
If the nagios group doesn't exist, the message "usermod: unknown group nagios"
is printed.

Very strange behaviour. What does the -a command do again?
Comment 6 Mike McGrath 2006-03-11 19:27:04 EST
Just curious, was this an upgrade from a different version of nagios from a
different repository?  Nagios hasn't actually been in extras that long.

-a appends the user group combo instead of out right setting it.
Comment 7 Mike McGrath 2006-05-14 14:49:43 EDT
Have you had a chance to get back to this?  Are you still having this issue?
Comment 8 Mike McGrath 2006-06-26 18:52:31 EDT
Are you still experiencing this issue?
Comment 9 Andreas Thienemann 2006-06-26 20:14:55 EDT
Hmmm. Thx for the heads up. I haven't really looked into the issue the last months.

But I'm having to install nagios on RHEL4 in the near future.
I'll use the FE package for that.

Let's see how it goes. If all is well, I'll just close the bug.
Comment 10 Mike McGrath 2006-12-18 12:56:53 EST
Haven't heard back, closing.

Note You need to log in before you can comment on or make changes to this bug.